.testimonials-slider .testimonials-inner-block {
    cursor: pointer;
    height: 100% !important;
    transition: all 0.4s ease-in-out !important;
    -webkit-transition: all 0.4s ease-in-out !important;
    -moz-transition: all 0.4s ease-in-out !important;
    -ms-transition: all 0.4s ease-in-out !important;
    -o-transition: all 0.4s ease-in-out !important;
}

.testimonials-slider .elementor-swiper-button {
    display: none !important;
}

.testimonials-slider .elementor-swiper-button:hover svg path {
    transition: 0.4s all ease-in-out !important;
    -webkit-transition: 0.4s all ease-in-out !important;
    -moz-transition: 0.4s all ease-in-out !important;
    -ms-transition: 0.4s all ease-in-out !important;
    -o-transition: 0.4s all ease-in-out !important;
}

.testimonials-slider .elementor-swiper-button:hover svg path {
    fill: #C86A4A !important;
    transition: 0.4s all ease-in-out !important;
    -webkit-transition: 0.4s all ease-in-out !important;
    -moz-transition: 0.4s all ease-in-out !important;
    -ms-transition: 0.4s all ease-in-out !important;
    -o-transition: 0.4s all ease-in-out !important;
}

.hear-about-detail-block {
    cursor: pointer;
}

.hear-about-detail-block .hear-about-iconbox .elementor-icon-box-wrapper .elementor-icon-box-title {
    transition: 0.4s all ease-in-out !important;
    -webkit-transition: 0.4s all ease-in-out !important;
    -moz-transition: 0.4s all ease-in-out !important;
    -ms-transition: 0.4s all ease-in-out !important;
    -o-transition: 0.4s all ease-in-out !important;
}

.hear-about-detail-block:hover .hear-about-iconbox .elementor-icon-box-wrapper .elementor-icon-box-title {
    color: #C86A4A !important;
    transition: 0.4s all ease-in-out !important;
    -webkit-transition: 0.4s all ease-in-out !important;
    -moz-transition: 0.4s all ease-in-out !important;
    -ms-transition: 0.4s all ease-in-out !important;
    -o-transition: 0.4s all ease-in-out !important;
}

.cmn-contact-form form .elementor-form-fields-wrapper input:focus,
.cmn-contact-form form .elementor-form-fields-wrapper textarea:focus {
    outline: none !important;
    box-shadow: none !important;
}

.cmn-contact-form form .elementor-form-fields-wrapper .elementor-field {
    padding: 13px !important;
}

.cmn-contact-form form .elementor-message-danger,
.cmn-contact-form .elementor-message-success {
    text-align: center;
}


/* Contact Page Start */

.breadcrumb-block ul li:not(:last-child) a span {
    color: rgba(0, 0, 0, 0.5) !important;
    transition: 0.4s all ease-in-out !important;
    -webkit-transition: 0.4s all ease-in-out !important;
    -moz-transition: 0.4s all ease-in-out !important;
    -ms-transition: 0.4s all ease-in-out !important;
    -o-transition: 0.4s all ease-in-out !important;
}

.breadcrumb-block ul li:not(:last-child) a:hover span {
    color: rgba(0, 0, 0, 1) !important;
    transition: 0.4s all ease-in-out !important;
    -webkit-transition: 0.4s all ease-in-out !important;
    -moz-transition: 0.4s all ease-in-out !important;
    -ms-transition: 0.4s all ease-in-out !important;
    -o-transition: 0.4s all ease-in-out !important;
}

.contact-form .elementor-form:has(.elementor-message) .elementor-field-group.elementor-column:not(:last-child) {
    margin-bottom: 50px !important;
}

.contact-form .elementor-form span.elementor-message {
    position: absolute !important;
    top: 100% !important;
}

.elementor-message.elementor-message-danger:not(span.elementor-message) {
    margin-top: 30px !important;
    text-align: center !important;
}

/* Contact Page End */


/* Shop Page Start */

.signature-vases,
.product-item-main-block {
    cursor: pointer;
    overflow: hidden !important;
}

.signature-vases::before,
.product-item-main-block::before {
    z-index: 9;
}

.signature-vases::after,
.product-item-main-block::after {
    content: "" !important;
    position: absolute !important;
    inset: 0 !important;
    background-image: inherit !important;
    background-size: cover;
    background-position: center;
    z-index: 0;
    transition: transform 0.6s ease-in-out !important;
    -webkit-transition: transform 0.6s ease-in-out !important;
    -moz-transition: transform 0.6s ease-in-out !important;
    -ms-transition: transform 0.6s ease-in-out !important;
    -o-transition: transform 0.6s ease-in-out !important;
}

.signature-vases:hover::after,
.product-item-main-block:hover::after {
    transform: scale(1.1);
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -ms-transform: scale(1.1);
    -o-transform: scale(1.1);
}

.our-product-grid .elementor-pagination .page-numbers {
    border: 1px solid #C86A4A;
    display: inline-flex;
    width: 50px;
    height: 50px;
    justify-content: center;
    align-items: center;
    border-radius: 12px;
    -webkit-border-radius: 12px;
    -moz-border-radius: 12px;
    -ms-border-radius: 12px;
    -o-border-radius: 12px;
}

.our-product-grid .elementor-pagination a {
    transition: 0.4s all ease-in-out !important;
    -webkit-transition: 0.4s all ease-in-out !important;
    -moz-transition: 0.4s all ease-in-out !important;
    -ms-transition: 0.4s all ease-in-out !important;
    -o-transition: 0.4s all ease-in-out !important;
}

.our-product-grid .elementor-pagination a:hover {
    background: #C86A4A;
    color: #FFFFFF !important;
    transition: 0.4s all ease-in-out !important;
    -webkit-transition: 0.4s all ease-in-out !important;
    -moz-transition: 0.4s all ease-in-out !important;
    -ms-transition: 0.4s all ease-in-out !important;
    -o-transition: 0.4s all ease-in-out !important;
}

.our-product-grid .elementor-pagination .current {
    background: #C86A4A !important;
    transition: 0.4s all ease-in-out !important;
    -webkit-transition: 0.4s all ease-in-out !important;
    -moz-transition: 0.4s all ease-in-out !important;
    -ms-transition: 0.4s all ease-in-out !important;
    -o-transition: 0.4s all ease-in-out !important;
}

.back-home-btn .elementor-button:hover .elementor-button-icon svg path {
    fill: #C86A4A !important;
    transition: 0.4s all ease-in-out !important;
    -webkit-transition: 0.4s all ease-in-out !important;
    -moz-transition: 0.4s all ease-in-out !important;
    -ms-transition: 0.4s all ease-in-out !important;
    -o-transition: 0.4s all ease-in-out !important;
}

.product-item-main-block:hover .product-item-title .elementor-heading-title {
    color: #C86A4A !important;
    transition: 0.4s all ease-in-out !important;
    -webkit-transition: 0.4s all ease-in-out !important;
    -moz-transition: 0.4s all ease-in-out !important;
    -ms-transition: 0.4s all ease-in-out !important;
    -o-transition: 0.4s all ease-in-out !important;
}

/* Shop Page End */

/* Cart Page Start */

.cart-block .e-cart-section .coupon-col-start input {
    padding: 10px !important;
    border: 1px solid rgba(0, 0, 0, 0.1) !important;
    border-radius: 8px !important;
    -webkit-border-radius: 8px !important;
    -moz-border-radius: 8px !important;
    -ms-border-radius: 8px !important;
    -o-border-radius: 8px !important;
}

.cart-block .e-cart-section .coupon-col-start {
    flex: 3 !important;
}

.cart-block .woocommerce-notices-wrapper .woocommerce-message {
    border-top-color: #C86A4A !important;
}

.cart-block .woocommerce-notices-wrapper .woocommerce-message::before {
    color: #C86A4A !important;
}

.cart-block .address-field .input-text:focus {
    border-color: #C86A4A !important;
}

/* Cart Page End */

/* Checkout Start */

.checkout-block .coupon-container-grid .coupon-col-2 {
    text-align: start !important;
}

.checkout-block .coupon-container-grid .woocommerce-button {
    width: 72% !important;
    padding: 12px 20px !important;
}

.checkout-block .coupon-container-grid {
    gap: 20px !important;
}

/* Checkout End */

.our-range-carousel .swiper-pagination {
    width: 100% !important;
    max-width: clamp(414px, -149.79px + 97.88vw, 1430px);
    bottom: -81px !important;
    top: auto !important;
}

.our-range-carousel .swiper {
    overflow: visible;
    clip-path: inset(0 -100dvw 0 0);
}


@media (min-width: 1201px) and (max-width: 1366px) {
    .contact-form form .elementor-form-fields-wrapper .elementor-field-group {
        margin-bottom: 24px !important;
        padding-right: calc(24px / 2) !important;
        padding-left: calc(24px / 2) !important;
    }
}

@media (min-width: 1025px) and (max-width: 1200px) {
    .contact-form form .elementor-form-fields-wrapper .elementor-field-group {
        margin-bottom: 22px !important;
        padding-right: calc(22px / 2) !important;
        padding-left: calc(22px / 2) !important;
    }

    .cmn-contact-form form .elementor-form-fields-wrapper .elementor-field-type-submit .elementor-button {
        padding: 12px 14px !important;
    }

    .our-product-grid .elementor-pagination .page-numbers {
        width: 48px;
        height: 48px;
    }
}

@media (max-width: 1024px) {
    .contact-form form .elementor-form-fields-wrapper .elementor-field-group {
        margin-bottom: 20px !important;
        padding-right: calc(20px / 2) !important;
        padding-left: calc(20px / 2) !important;
    }

    .cmn-contact-form form .elementor-form-fields-wrapper .elementor-field-type-submit .elementor-button {
        padding: 10px 12px !important;
    }

    .our-product-grid .elementor-pagination .page-numbers {
        width: 45px;
        height: 45px;
    }

    .checkout-block .coupon-container-grid .woocommerce-button {
        width: fit-content !important;
        padding: 12px 50px !important;
    }

}

@media(max-width: 1023px) {
    .testimonials-slider .elementor-swiper-button {
        display: block !important;
    }
}

@media(max-width: 767px) {
    .our-range-carousel .swiper-pagination {
        bottom: -52px !important;
    }

    .our-product-grid .elementor-pagination .page-numbers {
        width: 40px;
        height: 40px;
    }
}

@media(max-width: 575px) {
    .form-flower-shape {
        right: -20px !important;
    }

    .our-range-carousel .swiper-pagination {
        max-width: clamp(170px, -136.20px + 95.69vw, 414px);
    }
}